<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Grocery Index</title>
    <link rel="stylesheet"
          href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
          integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
          crossorigin="anonymous">
</head>
<body>
<div class="container">
    <h1>Grocery List</h1>
<!--    <a th:href="@{/showNewGroceryForm}" class="btn btn-primary btn-sm mb-3">Add to Grocery List</a>-->
<!--    <table border="1" class="table table-striped-md">-->
<!--        <thead>-->
<!--        <tr>-->
<!--            <th>-->
<!--                <a th:href="@{'/page' + ${currentPage} + '?sortField=email&sortDir=' + ${reverseSortDir}}">Grocery Name</a>-->
<!--            </th>-->
<!--            <th>-->
<!--                <a th:href="@{'/page' + ${currentPage} + '?sortField=email&sortDir=' + ${reverseSortDir}}">Product Price</a>-->
<!--            </th>-->
<!--            <th>-->
<!--                <a th:href="@{'/page' + ${currentPage} + '?sortField=email&sortDir=' + ${reverseSortDir}}">QTY</a>-->
<!--            </th>-->
<!--            <th>Actions</th>-->
<!--        </tr>-->
<!--        </thead>-->
<!--        <tr th:each="grocery:${listGrocery}">-->
<!--            <td th:text="${grocery.name}"></td>-->
<!--            <td th:text="${grocery.price}"></td>-->
<!--            <td th:text="${grocery.qty}"></td>-->
<!--            <td>-->
<!--                <a th:href="@{/showFormUpdate/{id}(id=${grocery.id})}" class="btn btn-primary">Update</a>-->
<!--                <a th:href="@{/deleteGrocery/{id}(id=${grocery.id})}" class="btn btn-danger">Delete</a>-->
<!--            </td>-->
<!--        </tr>-->
<!--        <tbody>-->
<!--        </tbody>-->
<!--    </table>-->
<!--    <div th:if="${totalPages>1}">-->
<!--        <div class="row col-sm-10">-->
<!--            <div class="col-sm-2">-->
<!--                Total Rows: [[${totalItems}]]-->
<!--            </div>-->
<!--            <div class="col-sm-1">-->
<!--                <span th:each="i: ${#numbers.sequence(1, totalPages)}">-->
<!--                    <a th:if="${currentPage != i}" th:href="@{'/page/' + ${i} + '?sortField=' + ${sortField} + '&sortDir=' + ${sortDir}}">[[${i}]]</a>-->
<!--                    <span th:unless="${currentPage != i}">[[${i}}]]</span>&nbsp;-->
<!--                    &nbsp;-->
<!--                </span>-->
<!--            </div>-->
<!--            <div class="col-sm-1">-->
<!--                <a th:if="${currentPage > totalPages}" th:href="@{'/page/' + ${currentPage + 1} + '?sortField=' + ${sortField} + '&sortDir=' + ${sortDir}}">Next</a>-->
<!--                <span th:unless="${currentPage < totalPages}">Next</span>-->
<!--            </div>-->
<!--            <div class="col-sm-1">-->
<!--                <a th:if="${currentPage < totalPages}" th:href="@{'/page/' + ${totalPages} + 'sortField=' + ${sortField} + '&sortDir=' + ${sortDir}}">Last</a>-->
<!--                <span th:unless="${currentPage < totalPages}">Last</span>-->
<!--            </div>-->
<!--        </div>-->
<!--    </div>-->

<!--    Faith's Example-->
    <th:block th:each="${groceries}">
        <table cellspacing="10px">
            <tr>
                <th>ID:</th>
                <th>Name:</th>
                <th>Category:</th>
                <th>QTY:</th>
            </tr>
            <tr>
                <td><span th:text="${groceries.id}"></span></td>
                <td><span th:text="${groceries.name}"></span></td>
                <td><span th:text="${groceries.price}"></span></td>
                <td><span th:text="${groceries.qty}"></span></td>
            </tr>
        </table>
    </th:block>
</div>
</body>
</html>
